package com.moka.gdtauto.util;
import java.util.Arrays;

import java.util.List;

import java.util.HashMap;
import java.util.Map;


public class SiteConfUtil {
    private static final Map<Integer, List<String>> siteConfMap = new HashMap<>();

    static {
        siteConfMap.put(1,
            Arrays.asList(
                "SITE_SET_KANDIAN",
                "SITE_SET_QQ_MUSIC_GAME",
                "SITE_SET_TENCENT_NEWS",
                "SITE_SET_TENCENT_VIDEO",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_MOBILE_UNION",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(2,
            Arrays.asList(
                "SITE_SET_QQ_MUSIC_GAME",
                "SITE_SET_TENCENT_NEWS",
                "SITE_SET_TENCENT_VIDEO",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_MOBILE_UNION",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(3,
            Arrays.asList(
                "SITE_SET_TENCENT_NEWS",
                "SITE_SET_TENCENT_VIDEO",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_MOBILE_UNION",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(4,
            Arrays.asList(
                "SITE_SET_KANDIAN",
                "SITE_SET_QQ_MUSIC_GAME",
                "SITE_SET_TENCENT_VIDEO",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_MOBILE_UNION",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(5,
            Arrays.asList(
                "SITE_SET_KANDIAN",
                "SITE_SET_QQ_MUSIC_GAME",
                "SITE_SET_TENCENT_NEWS",
                "SITE_SET_TENCENT_VIDEO",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(6,
            Arrays.asList(
                "SITE_SET_KANDIAN",
                "SITE_SET_QQ_MUSIC_GAME",
                "SITE_SET_TENCENT_NEWS",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_MOBILE_UNION",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(7,
            Arrays.asList(
                "SITE_SET_QQ_MUSIC_GAME",
                "SITE_SET_TENCENT_NEWS",
                "SITE_SET_TENCENT_VIDEO",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_MOBILE_UNION",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(8,
            Arrays.asList(
                "SITE_SET_KANDIAN",
                "SITE_SET_QQ_MUSIC_GAME",
                "SITE_SET_TENCENT_VIDEO",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_MOBILE_UNION",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(9,
            Arrays.asList(
                "SITE_SET_KANDIAN",
                "SITE_SET_TENCENT_NEWS",
                "SITE_SET_TENCENT_VIDEO",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_MOBILE_UNION",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(10,
            Arrays.asList(
                "SITE_SET_TENCENT_VIDEO",
                "SITE_SET_SEARCH_SCENE",
                "SITE_SET_MOBILE_UNION",
                "SITE_SET_WECHAT",
                "SITE_SET_WECHAT_PLUGIN"
            )
        );
        siteConfMap.put(11,
            Arrays.asList(
                "SITE_SET_WECHAT",
                "SITE_SET_SEARCH_SCENE" 
            )
        );
    }

    public static List<String> getSiteConf(Integer id) {
        return siteConfMap.get(id);
    }
}
